# Class: TechnicDistanceSensor

## TechnicDistanceSensor

#### new TechnicDistanceSensor()

  Source:
    - devices/technicdistancesensor.js, line 25

### Extends

- Device

### Members

#### <readonly> connected

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `connected` | boolean | Check if the device is still attached.

  Inherited From:
    - Device#connected
  Source:
    - devices/device.js, line 75

#### <readonly> hub

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `hub` | Hub | The Hub the device is attached to.

  Inherited From:
    - Device#hub
  Source:
    - devices/device.js, line 82

#### <readonly> isVirtualPort

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `isVirtualPort` | boolean | Is this device attached to a virtual port (ie. a combined device)

  Inherited From:
    - Device#isVirtualPort
  Source:
    - devices/device.js, line 119

#### <readonly> mode

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `mode` | number | The mode the device is currently in

  Inherited From:
    - Device#mode
  Source:
    - devices/device.js, line 109

#### <readonly> portName

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `portName` | string | The port the device is attached to.

  Inherited From:
    - Device#portName
  Source:
    - devices/device.js, line 92

#### <readonly> type

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `type` | number | The type of the device

  Inherited From:
    - Device#type
  Source:
    - devices/device.js, line 99

### Methods

#### setBrightness(topLeft, bottomLeft, topRight, bottomRight)

  Set the brightness (or turn on/off) of the lights around the eyes.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `topLeft` | number | Top left quadrant (above left eye). 0-100 brightness.
  `bottomLeft` | number | Bottom left quadrant (below left eye). 0-100 brightness.
  `topRight` | number | Top right quadrant (above right eye). 0-100 brightness.
  `bottomRight` | number | Bottom right quadrant (below right eye). 0-100 brightness.

  Source:
    - devices/technicdistancesensor.js, line 58

  ##### Returns:

  Resolved upon successful issuance of the command.

  Type
    Promise

### Events

#### distance

  Emits when the detected distance changes (Slow sampling covers 40mm to 2500mm).

  ##### Type: object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `distance` | number | Distance, from 40 to 2500mm

  Source:
    - devices/technicdistancesensor.js, line 38

#### fastDistance

  Emits when the detected distance changes (Fast sampling covers 50mm to 320mm).

  ##### Type: object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `fastDistance` | number | Distance, from 50 to 320mm

  Source:
    - devices/technicdistancesensor.js, line 48

#### Search results